package lbl.akenti.certs;

import lbl.akenti.certs.elements.Directory;
import lbl.akenti.certs.elements.UseCondIssuerGroup;
import lbl.akenti.certs.elements.CertificateAuthorityInfo;

public class PolicyCertGenerator extends AkentiCertGenerator {

  public PolicyCertGenerator() {
    super(new PolicyCertificate());
  }

  public void setResource(String resource) {
    ((PolicyCertificate) cert).setResource(resource);
  }

  public void 
  setCertificateAuthorityInfos(CertificateAuthorityInfo[] infos) {
    ((PolicyCertificate) cert).setCertificateAuthorityInfos(infos);
  }

  public void 
  setUseCondIssuerGroups(UseCondIssuerGroup[] ucGroups) {
    ((PolicyCertificate) cert).setUseCondIssuerGroups(ucGroups);
  }

  public void 
  setAttributeDirectories(Directory[] dirs) {
    ((PolicyCertificate) cert).setAttributeDirectories(dirs);
  }

  public void setCacheTime(long cacheTime) {
    ((PolicyCertificate) cert).setCacheTime(cacheTime);
  }
}
