package lbl.akenti.test.certs.elements;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
  * TestSuite that runs all the certs tests
  *
  * Note: Make sure that each of the methods begin with "test". 
  *       This will allow junit to find the test methods. 
  */
public class TestElements {

  /**
    *
    */
  public static void main(String[] args) {
    TestRunner.run(suite());
  }

  /**
    *
    */
  public static Test suite() {
    TestSuite suite = new TestSuite("Elements test");

    suite.addTestSuite(AkentiIssuerTestCase.class);     
    suite.addTestSuite(AttributeInfoTestCase.class);     
    suite.addTestSuite(ConditionTestCase.class);     
    return suite;
  } 
}
