package lbl.akenti.tools;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class XMLErrorHandler implements ErrorHandler {
  protected boolean success = true;
  
  public XMLErrorHandler() {}
    
  public void warning(SAXParseException ex) {
    System.err.println("[Warning] : " + ex.getMessage());
    success = false;
  }
		
  public void error(SAXParseException ex) {
    System.err.println("[Error] : " +  ex.getMessage());
    success = false;
  }

  public void fatalError(SAXParseException ex) throws SAXException {
    System.err.println("[Fatal Error] : " + ex.getMessage());
    success = false;
    throw ex;
  }
}
