package lbl.akenti.util;

import java.text.ParseException;

public class ParsingException extends ParseException {

  private Exception ex;

  public ParsingException() {
    super("", -1);
  }

  public ParsingException(Exception ex) {
    super(ex.getMessage(), -1);
    this.ex = ex;
  }

  public ParsingException(String message) {
    super(message, -1);
  }
  
  public void printStackTrace() {
    if (ex != null) {
      ex.printStackTrace();
    } else {
      super.printStackTrace();
    }
  }
}

