package lbl.akenti.gen.controller;

import javax.swing.JLabel;
import javax.swing.BorderFactory;
import java.awt.Color;

public class LBLLabelFactory {
  private static final Color B_COLOR = new Color (255, 255, 204);

  private  LBLLabelFactory() {
  }
  
  public static JLabel createHtmlLabel(String html) {
    JLabel label = new JLabel(html);

    label.setBorder(
      BorderFactory.createCompoundBorder(
        BorderFactory.createLineBorder(Color.black, 3),
        BorderFactory.createEmptyBorder(5, 5, 5, 5)
      )
    );

    label.setBackground(B_COLOR);
    label.setOpaque(true);
    return label;
  }
}
