package lbl.akenti.messaging;

import javax.xml.bind.JAXBException;
import lbl.akenti.jaxb.GetResourceInfoRequestType;
import lbl.akenti.jaxb.AkentiRequestType;

/**
  *
  */
final public
class GetResourceInfoRequest extends AkentiRequest {
  private String resource;

  /**
    */
  public GetResourceInfoRequest(int uid, String resource) {
    super(uid);
    this.resource = resource;
  }

  /**
    */
  public String getResource() {
    return resource;
  }

  /**
    */
  GetResourceInfoRequest(GetResourceInfoRequestType impl) {
    super(impl);
    resource = impl.getResource();
  }
  
  /**
    */
  protected AkentiRequestType doToJAXBImpl(boolean type) throws JAXBException {
    GetResourceInfoRequestType impl = type? Util.getObjectFactory().createGetResourceInfoRequestType()
                                          : Util.getObjectFactory().createGetResourceInfoRequestGenerated();

    impl.setResource(getResource());
    return impl;
  }
}
