package lbl.akenti.messaging;

import javax.xml.bind.JAXBException;
import lbl.akenti.jaxb.GetResourceInfoResponseType;
import lbl.akenti.jaxb.AkentiResponseType;
import lbl.akenti.jaxb.AkentiResponseType;

/**
  *
  */
final public
class GetResourceInfoResponse extends AkentiResponse {
  private String resourceInfo;

  /**
    */
  public GetResourceInfoResponse(int uid, AkentiMessage mesg) {
    this(uid, mesg, null);
  }

  /**
    */
  public GetResourceInfoResponse(int uid, AkentiMessage mesg, String resourceInfo) {
    super(uid, mesg);
    this.resourceInfo = resourceInfo;
  }

  /**
    */
  public String getResourceInfo() {
    return resourceInfo;
  }

  /**
    */
  GetResourceInfoResponse(GetResourceInfoResponseType impl) {
    super(impl);

    resourceInfo = impl.getResourceInfo();
  }
  
  /**
    */
  protected AkentiResponseType doToJAXBImpl() throws JAXBException {
    GetResourceInfoResponseType impl =  Util.getObjectFactory().createGetResourceInfoResponseGenerated();

    impl.setResourceInfo(getResourceInfo());
    return impl;
  }
}
