package lbl.akenti.messaging;
 
import javax.xml.bind.JAXBException;
import lbl.akenti.jaxb.UploadPolicyCertificateResponseType;
import lbl.akenti.jaxb.AkentiResponseType;
 
/**
 * A sparse response to a upload Certificate request.
 * @author Tommaso Sciortino
 */
final public
class UploadPolicyCertificateResponse extends AkentiResponse {
 
  /**
   * Creates a <i>UploadPolicyCertificateResponse</i>
   */
  public UploadPolicyCertificateResponse(int id, AkentiMessage mesg) {
     super(id, mesg);
  }
 
  /**
    * USED FOR DOING XML STUFF 
    */
  public UploadPolicyCertificateResponse(UploadPolicyCertificateResponseType impl) {
    super(impl);
  }
 
  /**
    * USED FOR DOING XML STUFF 
    */
  protected AkentiResponseType doToJAXBImpl() throws JAXBException {
    return Util.getObjectFactory().createUploadPolicyCertificateResponseGenerated();
  }
}

