package lbl.akenti.servers.AKMonitor.gui;

/*
 * This interface can be implemented to receive 
 * status information about a connection.
 *
 * @see <code>ConnectionEvent</code>
 **/
public interface ConnectionListener {
  /*
   * This method will be called when the state of a connection 
   * changes from connected to disconnected or vice verca.
   **/
  void connectionStateChanged(ConnectionEvent event);   
}
