/*
 * akenti.java
 *
 * Created on June 24, 2004, 11:10 AM
 */

package lbl.akenti.tools;

import java.util.ArrayList;
import java.lang.System;


/**
 * Wrapper for other tools.
 * @author Tommaso Sciortino
 */
public class akenti {
  
  /** Creates a new instance of akenti */
  public akenti() {
  }
  
  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
    
    String[] newArgs = new String[args.length-1];
    System.arraycopy(args, 1, newArgs, 0, args.length-1);
    
    if (args[0].equals("CG") || args[0].equals("CertGen")) {
      CertGen.main(newArgs);
    } else if (args[0].equals("PP") || args[0].equals("PrettyPrintAkentiCert")) {
      PrettyPrintAkentiCert.main(newArgs);
    } else {
      System.out.println("Command '" + args[0] + "' not recognized.");
      System.out.println("Recognized commands are:");
      System.out.println("- CertGen (CG): Generate signed certificate from XML input");
      System.out.println("- PrettyPrintAkentiCert (PP): Prints human readabl;e form of Akenti Cert");
    }
  }
  
}
